#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libnl
Version		:	3.7.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Convenience library for kernel netlink sockets
Group		:	Applications/Internet

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/thom311/libnl/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	bison
BuildRequires	:	flex
BuildRequires	:	libtool
BuildRequires	:	swig
#-----------------------------------------------------------------------------
%description
This package contains a convenience library to simplify
using the Linux kernel's netlink sockets interface for
network manipulation

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING
%{_sysconfdir}/%{name}/*
%{_libdir}/%{name}-*.so.*

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#============================================================================
%package		devel

Summary		:	Libraries and headers for using libnl 

Requires	:	%{name}

#-----------------------------------------------------------------------------
%description		devel
This package contains various headers for using %{name}
in other application

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/%{name}3/netlink/*.h
%{_includedir}/%{name}3/netlink/cli/*.h
%{_includedir}/%{name}3/netlink/fib_lookup/*.h
%{_includedir}/%{name}3/netlink/genl/*.h
%{_includedir}/%{name}3/netlink/idiag/*.h
%{_includedir}/%{name}3/netlink/netfilter/*.h
%{_includedir}/%{name}3/netlink/route/*.h
%{_includedir}/%{name}3/netlink/route/act/*.h
%{_includedir}/%{name}3/netlink/route/cls/*.h
%{_includedir}/%{name}3/netlink/route/cls/ematch/*.h
%{_includedir}/%{name}3/netlink/route/link/*.h
%{_includedir}/%{name}3/netlink/route/qdisc/*.h
%{_includedir}/%{name}3/netlink/xfrm/*.h
%{_libdir}/%{name}-*.so
%{_libdir}/pkgconfig/%{name}-*.pc

#============================================================================
%package		cli

Summary		:	Command line interface utils for libnl

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		cli
This package contains various libnl3 utils and additional
libraries on which they depend

#-----------------------------------------------------------------------------
%files			cli
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/nf-*
%{_bindir}/nl-*
%{_bindir}/idiag-socket-details
%{_bindir}/genl-ctrl-list
%{_libdir}/%{name}/cli/cls/*.so
%{_libdir}/%{name}/cli/qdisc/*.so
%{_mandir}/man8/*.8.gz


#-----------------------------------------------------------------------------
%postun			cli
/usr/sbin/ldconfig

%post			cli
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
